Package org.jfree.report.data

# Interface ExpressionSlot

All Superinterfaces:
  `Cloneable`

All Known Implementing Classes:
  `PrecomputedExpressionSlot`, `RunningExpressionSlot`

public interface ExpressionSlot extends Cloneable
Creation-Date: 25.11.2006, 15:18:42

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`void`
`advance()`
`Object`
`clone()`
`String`
`getName()`
`Object`
`getValue()`
`boolean`
`isDeepTraversing()`
`boolean`
`isPreserve()`
`void`
`updateDataRow(DataRow dataRow)`

## Method Details

### getValue

Object getValue() throws DataSourceException

Throws:
  `DataSourceException`

### advance

void advance() throws DataSourceException

Throws:
  `DataSourceException`

### updateDataRow

void updateDataRow(DataRow dataRow)

### getName

String getName()

### isDeepTraversing

boolean isDeepTraversing()

### isPreserve

boolean isPreserve()

### clone

Object clone() throws CloneNotSupportedException

Throws:
  `CloneNotSupportedException`